import './participation-map.scss';
import {ParticipationMapData} from "./ParticipationMapData";
import {createElement} from "../../_global/scripts/helpers";
import {createBadge} from "../../atoms/badge/BadgeComponent";

export const createParticipationMap = ({
  headline = 'Aktuelle Planverfahren',
  count = 68,
  svg = ParticipationMapData,
}) => {
  const section = createElement('section', ['participation-map']);
  const headlineContainer = createElement('div', ['container'], null, section);
  const hl = createElement('h2', [], headline, headlineContainer);
  createElement('div', ['container', 'small'], svg, section);

  hl.appendChild(createBadge({count: count}));

  return section;
}